<?php

namespace App\ViewModels\Unidade\UnidadeDetailsViewModel;

use App\Utils\Entity;

class UnidadeDetailsViewModel extends Entity {
	protected $pessoa_juridica_id;
	protected $nome_fantasia;
	protected $razao_social;
	protected $cnpj;
	protected $pessoa_id;
	protected $telefone_1;
	protected $telefone_2;
	protected $observacao;
	protected $endereco_id;
	protected $cep;
	protected $numero;
	protected $complemento;
	protected $referencias;
	protected $cep_id;
	protected $estado;
	protected $cidade;
	protected $bairro;
	protected $logradouro;
	protected $descricao;
	protected $telemedicina;
	protected $unidade_id;
	protected $ativo;

	public static function builder(): UnidadeDetailsViewModelBuilder {

		return new UnidadeDetailsViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescricao() {

		return $this->descricao;

	}

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setDescricao($descricao): void {

		$this->descricao = $descricao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTelemedicina() {

		return $this->telemedicina;

	}

	/**
	 *
	 * @param mixed $telemedicina
	 */
	public function setTelemedicina($telemedicina): void {

		$this->telemedicina = $telemedicina;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPessoaJuridicaId() {

		return $this->pessoa_juridica_id;

	}

	/**
	 *
	 * @param mixed $pessoa_juridica_id
	 */
	public function setPessoaJuridicaId($pessoa_juridica_id): void {

		$this->pessoa_juridica_id = $pessoa_juridica_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomeFantasia() {

		return $this->nome_fantasia;

	}

	/**
	 *
	 * @param mixed $nome_fantasia
	 */
	public function setNomeFantasia($nome_fantasia): void {

		$this->nome_fantasia = $nome_fantasia;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRazaoSocial() {

		return $this->razao_social;

	}

	/**
	 *
	 * @param mixed $razao_social
	 */
	public function setRazaoSocial($razao_social): void {

		$this->razao_social = $razao_social;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCnpj() {

		return $this->cnpj;

	}

	/**
	 *
	 * @param mixed $cnpj
	 */
	public function setCnpj($cnpj): void {

		$this->cnpj = $cnpj;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPessoaId() {

		return $this->pessoa_id;

	}

	/**
	 *
	 * @param mixed $pessoa_id
	 */
	public function setPessoaId($pessoa_id): void {

		$this->pessoa_id = $pessoa_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTelefone1() {

		return $this->telefone_1;

	}

	/**
	 *
	 * @param mixed $telefone_1
	 */
	public function setTelefone1($telefone_1): void {

		$this->telefone_1 = $telefone_1;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTelefone2() {

		return $this->telefone_2;

	}

	/**
	 *
	 * @param mixed $telefone_2
	 */
	public function setTelefone2($telefone_2): void {

		$this->telefone_2 = $telefone_2;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;

	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao): void {

		$this->observacao = $observacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEnderecoId() {

		return $this->endereco_id;

	}

	/**
	 *
	 * @param mixed $endereco_id
	 */
	public function setEnderecoId($endereco_id): void {

		$this->endereco_id = $endereco_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCep() {

		return $this->cep;

	}

	/**
	 *
	 * @param mixed $cep
	 */
	public function setCep($cep): void {

		$this->cep = $cep;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNumero() {

		return $this->numero;

	}

	/**
	 *
	 * @param mixed $numero
	 */
	public function setNumero($numero): void {

		$this->numero = $numero;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComplemento() {

		return $this->complemento;

	}

	/**
	 *
	 * @param mixed $complemento
	 */
	public function setComplemento($complemento): void {

		$this->complemento = $complemento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getReferencias() {

		return $this->referencias;

	}

	/**
	 *
	 * @param mixed $referencias
	 */
	public function setReferencias($referencias): void {

		$this->referencias = $referencias;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEstado() {

		return $this->estado;

	}

	/**
	 *
	 * @param mixed $estado
	 */
	public function setEstado($estado): void {

		$this->estado = $estado;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCidade() {

		return $this->cidade;

	}

	/**
	 *
	 * @param mixed $cidade
	 */
	public function setCidade($cidade): void {

		$this->cidade = $cidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getBairro() {

		return $this->bairro;

	}

	/**
	 *
	 * @param mixed $bairro
	 */
	public function setBairro($bairro): void {

		$this->bairro = $bairro;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getLogradouro() {

		return $this->logradouro;

	}

	/**
	 *
	 * @param mixed $logradouro
	 */
	public function setLogradouro($logradouro): void {

		$this->logradouro = $logradouro;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCepId() {

		return $this->cep_id;

	}

	/**
	 *
	 * @param mixed $cep_id
	 */
	public function setCepId($cep_id): void {

		$this->cep_id = $cep_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUnidadeId() {

		return $this->unidade_id;

	}

	/**
	 *
	 * @param mixed $unidade_id
	 */
	public function setUnidadeId($unidade_id): void {

		$this->unidade_id = $unidade_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtivo() {

		return $this->ativo;

	}

	/**
	 *
	 * @param mixed $ativo
	 */
	public function setAtivo($ativo) {

		$this->ativo = $ativo;

	}

}
